Author Topic: 64bit question  (Read 758 times)

Johnathan Pata

  • Jr. Member
  • **
  • Posts: 84
64bit question
« on: June 24, 2022, 05:59:37 pm »
Hey FSDT Team,

I was wanting to purchase some airports one of them is MEM but it is not 64 bit, if I buy that scenery will my product registration key still work when I install the 64 bit when it is released?
Intel(R) Core(TM) i9-10850K
OPERATING SYSTEM:Genuine Windows 7 Home Premium, 64Bit
HARD DRIVE: 1 SAMSUNG EVO 840 SSD with 2TB HDD and a 875W Multi-GPU Approved Power Supply
MEMORY: 32GB Dual Channel DDR3 at 1333MHz   
VIDEO CARD:4GB NVIDIA GTX 960

virtuali

  • Administrator
  • Hero Member
  • *****
  • Posts: 47046
    • VIRTUALI Sagl
Re: 64bit question
« Reply #1 on: June 26, 2022, 02:32:55 pm »
What do you mean with "KMEM is not 64 bits" ? A scenery doesn't have any "bits", it's just...a scenery.

Only a software can be either 32 bit or 64 bit, and the support software required by KMEM to work ( the Couatl scripting engine and GSX ) are all available in 32 bit and 64 bit with specific versions for FSX, P3D4 and P3D5.

If you wanted to know if a KMEM license can be used in all supported simulators without paying extra, then yes, all our products for FSX, P3D1/2/3/4/5 can be used with a single license.

Johnathan Pata

  • Jr. Member
  • **
  • Posts: 84
Re: 64bit question
« Reply #2 on: June 26, 2022, 08:02:08 pm »
Ok thank you, i have p3d v4 and I saw the different categories where p3d v4 and 5 were 64 bit http://www.fsdreamteam.com/products.html I thought that those 4 addons were in 64bit and that i should wait until it was available in 64bit
Intel(R) Core(TM) i9-10850K
OPERATING SYSTEM:Genuine Windows 7 Home Premium, 64Bit
HARD DRIVE: 1 SAMSUNG EVO 840 SSD with 2TB HDD and a 875W Multi-GPU Approved Power Supply
MEMORY: 32GB Dual Channel DDR3 at 1333MHz   
VIDEO CARD:4GB NVIDIA GTX 960

virtuali

  • Administrator
  • Hero Member
  • *****
  • Posts: 47046
    • VIRTUALI Sagl
Re: 64bit question
« Reply #3 on: June 30, 2022, 10:39:49 am »
I thought that those 4 addons were in 64bit and that i should wait until it was available in 64bit

That's because you haven't noticed the indication labeled IMPORTANT on the P3D Products page:

http://fsdreamteam.com/products_p3d.html

Quote
IMPORTANT
This page indicates only those products that have a P3D4/5 Native version and don't work in FSX or older version of P3D ( 1, 2 and 3 ). On the FSX Products page, you'll find many other products that were originally made for FSX, but the installer supports all P3D versions, including P3D V5.x